Index: trunk/LATMOS-Accounts-Web/lib/LATMOS/Accounts/Web/Controller/Tools/LoadNew.pm
===================================================================
--- trunk/LATMOS-Accounts-Web/lib/LATMOS/Accounts/Web/Controller/Tools/LoadNew.pm	(revision 1993)
+++ trunk/LATMOS-Accounts-Web/lib/LATMOS/Accounts/Web/Controller/Tools/LoadNew.pm	(revision 1993)
@@ -0,0 +1,71 @@
+package LATMOS::Accounts::Web::Controller::Tools::LoadNew;
+use Moose;
+use namespace::autoclean;
+
+use LATMOS::Accounts::Utils;
+use File::Temp;
+
+BEGIN { extends 'Catalyst::Controller'; }
+
+=head1 NAME
+
+LATMOS::Accounts::Web::Controller::Tools::LoadNew - Catalyst Controller
+
+=head1 DESCRIPTION
+
+Catalyst Controller.
+
+=head1 METHODS
+
+=cut
+
+
+=head2 index
+
+=cut
+
+sub index :Path :Args(0) {
+    my ( $self, $c ) = @_;
+
+    if (my $upload = $c->req->upload('input')) {
+        my %attrs = LATMOS::Accounts::Utils::parse_obj_file($upload->fh);
+        my $otype = $c->req->param('otype');
+        $c->session->{ochelper} = {
+            contents => \%attrs,
+        };
+        $c->req->params->{step} = '1';
+        $c->go('/create/default', [ undef, $otype ]);
+    } elsif (my $content = $c->req->param('content')) {
+        my $tmp = File::Temp->new();
+        print $tmp $content;
+        $tmp->seek( 0, 0 );
+
+        my %attrs = LATMOS::Accounts::Utils::parse_obj_file($tmp);
+        $tmp = undef;
+        my $otype = $c->req->param('otype');
+        $c->session->{ochelper} = {
+            contents => \%attrs,
+        };
+        $c->req->params->{step} = '1';
+        $c->go('/create/default', [ undef, $otype ]);
+    }
+}
+
+
+
+=encoding utf8
+
+=head1 AUTHOR
+
+Olivier Thauvin,Guyancourt - B1428,+33 1 80285052,
+
+=head1 LICENSE
+
+This library is free software. You can redistribute it and/or modify
+it under the same terms as Perl itself.
+
+=cut
+
+__PACKAGE__->meta->make_immutable;
+
+1;
Index: trunk/LATMOS-Accounts-Web/lib/LATMOS/Accounts/Web/I18N/fr.po
===================================================================
--- trunk/LATMOS-Accounts-Web/lib/LATMOS/Accounts/Web/I18N/fr.po	(revision 1991)
+++ trunk/LATMOS-Accounts-Web/lib/LATMOS/Accounts/Web/I18N/fr.po	(revision 1993)
@@ -46,5 +46,5 @@
 msgstr "(autre)"
 
-#: root/html/includes/sidebar.tt:89
+#: root/html/includes/sidebar.tt:94
 msgid "About"
 msgstr "Ã propos"
@@ -76,5 +76,5 @@
 msgstr "ConnectÃ© en tant que"
 
-#: root/html/includes/sidebar.tt:38
+#: root/html/includes/sidebar.tt:39
 msgid "Create"
 msgstr "CrÃ©er"
@@ -117,9 +117,4 @@
 msgstr "Du"
 
-#: root/html/includes/sidebar.tt:51
-#, fuzzy
-msgid "From CVS"
-msgstr "Du"
-
 #: root/html/includes/wrapper.tt:59
 msgid "IT management"
@@ -134,14 +129,28 @@
 msgstr "Se dÃ©connecter"
 
+#: root/html/includes/sidebar.tt:55
+msgid "Mass from CSV..."
+msgstr ""
+
 #: root/html/users/employment.tt:31
 msgid "New employment"
 msgstr "Nouveau statut"
 
-#: root/html/includes/sidebar.tt:82
+#: root/html/tools/csv/parseCSV.tt:24
+msgid "Object Name"
+msgstr ""
+
+#: root/html/tools/csv/parseCSV.tt:3
+msgid ""
+"One or multiples error occurs during objects creation, please check\n"
+"input data:"
+msgstr ""
+
+#: root/html/includes/sidebar.tt:87
 #, fuzzy
 msgid "Others Statistics"
 msgstr "Statistiques"
 
-#: root/html/tools/csv/index.tt:29
+#: root/html/tools/csv/index.tt:31
 msgid "Select a CSV file"
 msgstr ""
@@ -167,5 +176,5 @@
 msgstr "CumulÃ©"
 
-#: root/html/includes/sidebar.tt:56 root/html/includes/sidebar.tt:71
+#: root/html/includes/sidebar.tt:61 root/html/includes/sidebar.tt:76
 msgid "Statistics"
 msgstr "Statistiques"
@@ -176,7 +185,11 @@
 msgstr "Statut"
 
-#: root/html/includes/sidebar.tt:64
+#: root/html/includes/sidebar.tt:69
 msgid "Status evolution"
 msgstr "Ãvolution des status"
+
+#: root/html/tools/csv/parseCSV.tt:18
+msgid "The follwing objects has been created:"
+msgstr ""
 
 #: root/html/default.tt:4
@@ -204,4 +217,8 @@
 msgstr ""
 
+#: root/html/includes/sidebar.tt:52
+msgid "Using formated file"
+msgstr ""
+
 #: root/html/includes/sidebar.tt:27
 msgid "View"
@@ -227,4 +244,8 @@
 msgstr "Ã "
 
+#, fuzzy
+#~ msgid "From CVS"
+#~ msgstr "Du"
+
 #~ msgid "Tools"
 #~ msgstr "Outils"
Index: trunk/LATMOS-Accounts-Web/lib/LATMOS/Accounts/Web/I18N/messages.pot
===================================================================
--- trunk/LATMOS-Accounts-Web/lib/LATMOS/Accounts/Web/I18N/messages.pot	(revision 1991)
+++ trunk/LATMOS-Accounts-Web/lib/LATMOS/Accounts/Web/I18N/messages.pot	(revision 1993)
@@ -39,5 +39,5 @@
 msgstr ""
 
-#: root/html/includes/sidebar.tt:89
+#: root/html/includes/sidebar.tt:94
 msgid "About"
 msgstr ""
@@ -67,5 +67,5 @@
 msgstr ""
 
-#: root/html/includes/sidebar.tt:38
+#: root/html/includes/sidebar.tt:39
 msgid "Create"
 msgstr ""
@@ -107,8 +107,4 @@
 msgstr ""
 
-#: root/html/includes/sidebar.tt:51
-msgid "From CVS"
-msgstr ""
-
 #: root/html/includes/wrapper.tt:59
 msgid "IT management"
@@ -123,13 +119,27 @@
 msgstr ""
 
+#: root/html/includes/sidebar.tt:55
+msgid "Mass from CSV..."
+msgstr ""
+
 #: root/html/users/employment.tt:31
 msgid "New employment"
 msgstr ""
 
-#: root/html/includes/sidebar.tt:82
+#: root/html/tools/csv/parseCSV.tt:24
+msgid "Object Name"
+msgstr ""
+
+#: root/html/tools/csv/parseCSV.tt:3
+msgid ""
+"One or multiples error occurs during objects creation, please check\n"
+"input data:"
+msgstr ""
+
+#: root/html/includes/sidebar.tt:87
 msgid "Others Statistics"
 msgstr ""
 
-#: root/html/tools/csv/index.tt:29
+#: root/html/tools/csv/index.tt:31
 msgid "Select a CSV file"
 msgstr ""
@@ -155,5 +165,5 @@
 msgstr ""
 
-#: root/html/includes/sidebar.tt:56 root/html/includes/sidebar.tt:71
+#: root/html/includes/sidebar.tt:61 root/html/includes/sidebar.tt:76
 msgid "Statistics"
 msgstr ""
@@ -163,6 +173,10 @@
 msgstr ""
 
-#: root/html/includes/sidebar.tt:64
+#: root/html/includes/sidebar.tt:69
 msgid "Status evolution"
+msgstr ""
+
+#: root/html/tools/csv/parseCSV.tt:18
+msgid "The follwing objects has been created:"
 msgstr ""
 
@@ -191,4 +205,8 @@
 msgstr ""
 
+#: root/html/includes/sidebar.tt:52
+msgid "Using formated file"
+msgstr ""
+
 #: root/html/includes/sidebar.tt:27
 msgid "View"