Index: trunk/LATMOS-Accounts-Web/lib/LATMOS/Accounts/Web/Controller/Root.pm
===================================================================
--- trunk/LATMOS-Accounts-Web/lib/LATMOS/Accounts/Web/Controller/Root.pm	(revision 2008)
+++ trunk/LATMOS-Accounts-Web/lib/LATMOS/Accounts/Web/Controller/Root.pm	(revision 2009)
@@ -37,4 +37,5 @@
 
     my ($locale) = split(',', $c->req->header('Accept-Language') || '');
+    warn $locale;
     $locale ||= '';
     $locale =~ s/(\s\s)/$1/;
Index: trunk/LATMOS-Accounts-Web/lib/LATMOS/Accounts/Web/Controller/Tools/LoadPasswd.pm
===================================================================
--- trunk/LATMOS-Accounts-Web/lib/LATMOS/Accounts/Web/Controller/Tools/LoadPasswd.pm	(revision 2008)
+++ trunk/LATMOS-Accounts-Web/lib/LATMOS/Accounts/Web/Controller/Tools/LoadPasswd.pm	(revision 2009)
@@ -43,15 +43,15 @@
                 my $user = $account->db->get_objects('user', $username)
                     or do {
-                    push(@{ $c->stash->{Pass} }, { u => $username, r => 'No such user' });  
+                    push(@{ $c->stash->{Pass} }, { u => $username, r => $c->localize('No such user') });
                     next;
                 };
-                $account->db->check_acl($user, 'userPassword', 'w') 
+                $account->db->check_acl($user, 'userPassword', 'w')
                     or do {
-                    push(@{ $c->stash->{Pass} }, { u => $username, r => 'Permission denied' });  
+                    push(@{ $c->stash->{Pass} }, { u => $username, r => $c->localize('Permission denied') });
                     next;
                 };
 
                 if ($user->InjectCryptPasswd($password)) {
-                    push(@{ $c->stash->{Pass} }, { u => $username, r => 'Injected' });
+                    push(@{ $c->stash->{Pass} }, { u => $username, r => $c->localize('Injected') };
                 } else {
                     push(@{ $c->stash->{Pass} }, { u => $username, r => 'Error: ' . LATMOS::Accounts::Log::lastmessage(LA_ERR) });
@@ -59,5 +59,5 @@
             } else {
                 my $message = $account->ChangeUserPassword($username, $password, $force);
-                push(@{ $c->stash->{Pass} }, { u => $username, r => $message || 'Changed' });
+                push(@{ $c->stash->{Pass} }, { u => $username, r => $message || $c->localize('Changed') });
             }
         }
Index: trunk/LATMOS-Accounts-Web/lib/LATMOS/Accounts/Web/I18N/fr.po
===================================================================
--- trunk/LATMOS-Accounts-Web/lib/LATMOS/Accounts/Web/I18N/fr.po	(revision 2008)
+++ trunk/LATMOS-Accounts-Web/lib/LATMOS/Accounts/Web/I18N/fr.po	(revision 2009)
@@ -52,5 +52,5 @@
 #: root/html/summary/accage/index.tt:5
 msgid "Active/Non active"
-msgstr ""
+msgstr "Actif/Non actif"
 
 #: lib/LATMOS/Accounts/Web/Controller/Json/Timeline.pm:127
@@ -68,4 +68,9 @@
 msgstr "ArrivÃ©e"
 
+#. ($username)
+#: lib/LATMOS/Accounts/Web/Model/Accounts.pm:181
+msgid "Cannot get user object %1"
+msgstr "Impossible de charger l'objet utilisateur %1"
+
 #: root/html/includes/sidebar.tt:15
 msgid "Change my password"
@@ -101,7 +106,11 @@
 msgstr "Fin de circuit d'entrÃ©e"
 
+#: lib/LATMOS/Accounts/Web/Model/Accounts.pm:199
+msgid "Error while changing password"
+msgstr "Erreur lors du changement de mot de passe"
+
 #: root/html/tools/csv/index.tt:10
 msgid "Example:"
-msgstr ""
+msgstr "Exemple:"
 
 #: lib/LATMOS/Accounts/Web/Controller/Json/Timeline.pm:87
@@ -111,5 +120,5 @@
 #: root/html/summary/employment/index.tt:12
 msgid "Filter"
-msgstr ""
+msgstr "Filtre"
 
 #: root/html/users/employment.tt:91
@@ -127,5 +136,5 @@
 #: root/html/includes/sidebar.tt:97
 msgid "Load Password"
-msgstr ""
+msgstr "Chager des mot de passe"
 
 #: root/html/includes/sidebar.tt:20
@@ -135,5 +144,5 @@
 #: root/html/includes/sidebar.tt:55
 msgid "Mass from CSV..."
-msgstr ""
+msgstr "Massif depuis un CSV..."
 
 #: root/html/users/employment.tt:31
@@ -143,13 +152,13 @@
 #: root/html/tools/csv/parseCSV.tt:24
 msgid "Object Name"
-msgstr ""
+msgstr "Nom de l'objet"
 
 #: root/html/tools/loadnew/index.tt:22
 msgid "Object data:"
-msgstr ""
+msgstr "DonnÃ©es de l'objet"
 
 #: root/html/tools/loadnew/index.tt:17
 msgid "Object name (optional):"
-msgstr ""
+msgstr "Nom de l'objet (optionnel):"
 
 #: root/html/tools/csv/parseCSV.tt:3
@@ -158,17 +167,18 @@
 "input data:"
 msgstr ""
+"Une ou plusieurs erreur sont apparues pendant la crÃ©ation des objets\n"
+"Verifier vos donnÃ©es en entrÃ©e"
 
 #: root/html/includes/sidebar.tt:87
-#, fuzzy
 msgid "Others Statistics"
-msgstr "Statistiques"
+msgstr "Autres Statistiques"
 
 #: root/html/tools/csv/index.tt:31
 msgid "Select a CSV file"
-msgstr ""
+msgstr "Selectionner un fichier CSV"
 
 #: root/html/summary/accage/index.tt:13
 msgid "Show inactive accounts"
-msgstr ""
+msgstr "Afficher les comptes inactifs"
 
 #: root/html/users/employment.tt:94
@@ -178,5 +188,5 @@
 #: root/html/summary/employment/index.tt:10
 msgid "Site"
-msgstr ""
+msgstr "Site"
 
 #: root/html/summary/employment/index.tt:3
@@ -203,9 +213,9 @@
 #: root/html/tools/csv/parseCSV.tt:18
 msgid "The follwing objects has been created:"
-msgstr ""
+msgstr "Les objets suivant ont Ã©tÃ© crÃ©Ã©s:"
 
 #: root/html/default.tt:4
 msgid "There's nothing here..."
-msgstr "Il n'y a rien ici"
+msgstr "Il n'y a rien ici..."
 
 #: root/html/tools/csv/index.tt:1
@@ -220,4 +230,11 @@
 "firstname and lastname (sn and givenName)."
 msgstr ""
+"Cette vous permet de crÃ©er de multiples objets Ã  partir d'un fichier CSV\n"
+"\n"
+"La premiÃšre ligne de contenir la liste des attributs Ã  charger, chaque ligne\n"
+"suivante contient les valeurs pour les objets\n"
+"\n"
+"Pour les utilisateurs, le nom peut Ãªtre omis, le nom de l'objet sera construits\n"
+"Ã  partir des nom et prÃ©nom (sn et givenName)."
 
 #: lib/LATMOS/Accounts/Web/Controller/Json/Timeline.pm:78
@@ -231,13 +248,17 @@
 #: root/html/tools/csv/index.tt:21
 msgid "Type of object to create"
-msgstr ""
+msgstr "Type d'objet Ã  crÃ©er"
 
 #: root/html/tools/loadnew/index.tt:4
 msgid "Type of object to create:"
-msgstr ""
+msgstr "Type d'objet Ã  crÃ©er:"
+
+#: lib/LATMOS/Accounts/Web/Model/Accounts.pm:194
+msgid "Unchanged password"
+msgstr "Mot de passe inchangÃ©"
 
 #: root/html/includes/sidebar.tt:52
 msgid "Using formated file"
-msgstr ""
+msgstr "En utilisant un fichier formatÃ©"
 
 #: root/html/includes/sidebar.tt:27
@@ -252,5 +273,5 @@
 #: root/html/tools/loadnew/index.tt:23
 msgid "You can load a existing file..."
-msgstr ""
+msgstr "Vous pouvez charger un fichier existant"
 
 #. (c.stash.accountExists)
@@ -266,5 +287,5 @@
 #: root/html/tools/loadnew/index.tt:27
 msgid "or paste the content here:"
-msgstr ""
+msgstr "ou coller le contenu ici"
 
 #: root/html/users/employment.tt:29 root/html/users/employment.tt:92
@@ -272,5 +293,2 @@
 msgstr "Ã "
 
-#, fuzzy
-#~ msgid "From CVS"
-#~ msgstr "Du"
Index: trunk/LATMOS-Accounts-Web/lib/LATMOS/Accounts/Web/I18N/messages.pot
===================================================================
--- trunk/LATMOS-Accounts-Web/lib/LATMOS/Accounts/Web/I18N/messages.pot	(revision 2008)
+++ trunk/LATMOS-Accounts-Web/lib/LATMOS/Accounts/Web/I18N/messages.pot	(revision 2009)
@@ -59,4 +59,9 @@
 msgstr ""
 
+#. ($username)
+#: lib/LATMOS/Accounts/Web/Model/Accounts.pm:181
+msgid "Cannot get user object %1"
+msgstr ""
+
 #: root/html/includes/sidebar.tt:15
 msgid "Change my password"
@@ -89,4 +94,8 @@
 #: lib/LATMOS/Accounts/Web/Controller/Json/Timeline.pm:96
 msgid "End of entrance"
+msgstr ""
+
+#: lib/LATMOS/Accounts/Web/Model/Accounts.pm:199
+msgid "Error while changing password"
 msgstr ""
 
@@ -225,4 +234,8 @@
 msgstr ""
 
+#: lib/LATMOS/Accounts/Web/Model/Accounts.pm:194
+msgid "Unchanged password"
+msgstr ""
+
 #: root/html/includes/sidebar.tt:52
 msgid "Using formated file"
Index: trunk/LATMOS-Accounts-Web/lib/LATMOS/Accounts/Web/Model/Accounts.pm
===================================================================
--- trunk/LATMOS-Accounts-Web/lib/LATMOS/Accounts/Web/Model/Accounts.pm	(revision 2008)
+++ trunk/LATMOS-Accounts-Web/lib/LATMOS/Accounts/Web/Model/Accounts.pm	(revision 2009)
@@ -179,5 +179,5 @@
     my $base = $self->db;
     my $user = $base->get_object('user', $username) or do {
-        return "Cannot get user object";
+        return $self->{c}->localize('Cannot get user object [_1]', $username);
     };
 
@@ -192,10 +192,10 @@
     my $msg = $user->check_password($password);
     if ($msg ne 'ok' && !$force) {
-        return $msg . ', mot de passe inchangÃ©';
+        return $msg . ', ' .  $self->{c}->localize('Unchanged password');
     } elsif ($suser && $suser->_set_password($password)) {
         $sync->commit;
         return;
     } else {
-        return 'Erreur lors du changement de mot de passe';
+        return $self->{c}->localize('Error while changing password');
     }
 }