Index: trunk/LATMOS-Accounts/lib/LATMOS/Accounts/I18N/po/fr.po
===================================================================
--- trunk/LATMOS-Accounts/po/fr.po	(revision 2188)
+++ trunk/LATMOS-Accounts/lib/LATMOS/Accounts/I18N/po/fr.po	(revision 2237)
@@ -13,5 +13,5 @@
 #. ($Dd)
 #: lib/LATMOS/Accounts/Bases/Sql/Employment.pm:110
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:496
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:506
 msgid "%d days"
 msgstr "%d jours"
@@ -19,5 +19,5 @@
 #. ($Dm)
 #: lib/LATMOS/Accounts/Bases/Sql/Employment.pm:109
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:495
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:505
 msgid "%d months"
 msgstr "%d mois"
@@ -25,18 +25,18 @@
 #. ($Dy)
 #: lib/LATMOS/Accounts/Bases/Sql/Employment.pm:108
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:494
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:504
 msgid "%d years"
 msgstr "%d ans"
 
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1441
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1522
 msgid "Account Request id"
 msgstr "Demande de compte"
 
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1195
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1228
 msgid "Active"
 msgstr "Actif"
 
 #: lib/LATMOS/Accounts/Bases/Sql/Nethost.pm:111
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:670
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:680
 msgid "Aliases"
 msgstr "Alias"
@@ -47,11 +47,11 @@
 
 #: lib/LATMOS/Accounts/Bases/Sql/Employment.pm:180
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1438
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1519
 msgid "Assigned"
 msgstr "AffectÃ©"
 
 #. ($attribute)
-#: lib/LATMOS/Accounts/Bases/Objects.pm:669
-#: lib/LATMOS/Accounts/Bases/Objects.pm:706
+#: lib/LATMOS/Accounts/Bases/Objects.pm:724
+#: lib/LATMOS/Accounts/Bases/Objects.pm:761
 #: lib/LATMOS/Accounts/Bases/Sql/objects.pm:850
 #: lib/LATMOS/Accounts/Bases/Sql/objects.pm:915
@@ -64,19 +64,19 @@
 msgstr "Filtres automatiques"
 
-#: lib/LATMOS/Accounts/Bases/Sql/objects.pm:205
+#: lib/LATMOS/Accounts/Bases/Sql/objects.pm:203
 msgid "Cache for oalias data"
 msgstr "Cache pour les alias d'objet"
 
-#: lib/LATMOS/Accounts/Bases.pm:483
+#: lib/LATMOS/Accounts/Bases.pm:484
 msgid "Cannot create %s object with empty id"
 msgstr "Ne peut crÃ©Ã© l'object %s avec un identifiant vide"
 
 #. ($base)
-#: bin/la-load-csv:59 bin/la-query:117 bin/la-renewEmp:62
+#: bin/la-load-csv:59 bin/la-query:116 bin/la-renewEmp:62
 msgid "Cannot load base %s\n"
 msgstr "Ne peut charger la base %s\n"
 
 #: lib/LATMOS/Accounts/Bases/Sql/Address.pm:174
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:794
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:804
 msgid "City"
 msgstr "Ville"
@@ -86,5 +86,5 @@
 #: lib/LATMOS/Accounts/Bases/Sql/Nethost.pm:237
 #: lib/LATMOS/Accounts/Bases/Sql/Service.pm:70
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1290
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1328
 msgid "Comment"
 msgstr "Commentaire"
@@ -92,6 +92,6 @@
 #: lib/LATMOS/Accounts/Bases/Sql/Address.pm:307
 #: lib/LATMOS/Accounts/Bases/Sql/Employment.pm:164
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1284
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:864
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1322
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:874
 msgid "Company"
 msgstr "SociÃ©tÃ©"
@@ -109,23 +109,23 @@
 msgstr "Pays"
 
-#: lib/LATMOS/Accounts/Bases/Sql/objects.pm:124
+#: lib/LATMOS/Accounts/Bases/Sql/objects.pm:122
 msgid "Created"
 msgstr "CrÃ©Ã©"
 
-#: lib/LATMOS/Accounts/Bases/Sql/objects.pm:162
+#: lib/LATMOS/Accounts/Bases/Sql/objects.pm:160
 msgid "Created by"
 msgstr "CrÃ©Ã© par"
 
-#: lib/LATMOS/Accounts/Bases/Sql/objects.pm:215
+#: lib/LATMOS/Accounts/Bases/Sql/objects.pm:213
 msgid "Deletion protection"
 msgstr "Protection contre l'effacement"
 
 #: lib/LATMOS/Accounts/Bases/Sql/Employment.pm:161
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:744
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:869
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:754
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:879
 msgid "Department"
 msgstr "DÃ©partment"
 
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1186
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1219
 msgid "Departments"
 msgstr "DÃ©partements"
@@ -140,5 +140,5 @@
 #: lib/LATMOS/Accounts/Bases/Sql/Nethost.pm:240
 #: lib/LATMOS/Accounts/Bases/Sql/Service.pm:73
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1281
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1319
 msgid "Description"
 msgstr "Description"
@@ -149,10 +149,10 @@
 
 #: lib/LATMOS/Accounts/Bases/Sql/Address.pm:82
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1253
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1291
 msgid "Email"
 msgstr "Email"
 
 #: lib/LATMOS/Accounts/Bases/Sql/Employment.pm:167
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1287
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1325
 msgid "Employer"
 msgstr "Employeur"
@@ -199,15 +199,15 @@
 msgstr "Expire le"
 
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1191
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1224
 msgid "Expired"
 msgstr "Expiration"
 
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1256
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1294
 msgid "External mail"
 msgstr "Email exterieur"
 
 #: lib/LATMOS/Accounts/Bases/Sql/Address.pm:285
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1099
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:859
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1117
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:869
 msgid "Fax number"
 msgstr "Fax"
@@ -218,5 +218,5 @@
 
 #: lib/LATMOS/Accounts/Bases/Sql/Address.pm:94
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1277
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1315
 msgid "First name"
 msgstr "PrÃ©nom"
@@ -227,5 +227,5 @@
 
 #: lib/LATMOS/Accounts/Bases/Sql/Aliases.pm:69
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:616
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:626
 msgid "Forward"
 msgstr "Renvois"
@@ -236,5 +236,5 @@
 msgstr "Depuis les groupe-type:"
 
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:932
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:930
 msgid "GECOS"
 msgstr "GECOS"
@@ -245,5 +245,5 @@
 msgstr "GID"
 
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1273
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1311
 msgid "HAL id"
 msgstr "Identifiant HAL"
@@ -253,9 +253,9 @@
 msgstr "Adresse matÃ©rielle"
 
-#: lib/LATMOS/Accounts/Bases/Sql/objects.pm:144
+#: lib/LATMOS/Accounts/Bases/Sql/objects.pm:142
 msgid "Hidden"
 msgstr "CachÃ©"
 
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1270
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1308
 msgid "Home directory"
 msgstr "Home"
@@ -266,13 +266,13 @@
 
 #: lib/LATMOS/Accounts/Bases/Sql/Employment.pm:176
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1434
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1515
 msgid "Hosted"
 msgstr "HÃ©bergÃ©"
 
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1262
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1300
 msgid "Initials"
 msgstr "Initiales"
 
-#: lib/LATMOS/Accounts/Bases/Sql/objects.pm:210
+#: lib/LATMOS/Accounts/Bases/Sql/objects.pm:208
 msgid "Internal object"
 msgstr "Objet interne"
@@ -294,5 +294,5 @@
 msgstr "Etiquette"
 
-#: lib/LATMOS/Accounts/Bases/Sql/objects.pm:129
+#: lib/LATMOS/Accounts/Bases/Sql/objects.pm:127
 msgid "Last modified"
 msgstr "DerniÃšre modification"
@@ -316,5 +316,5 @@
 msgstr "VÃ©rrouillÃ©"
 
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:900
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:910
 msgid "Login"
 msgstr "Login"
@@ -326,5 +326,5 @@
 #: lib/LATMOS/Accounts/Bases/Sql/Group.pm:119
 #: lib/LATMOS/Accounts/Bases/Sql/Service.pm:67
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1116
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1134
 msgid "Manager"
 msgstr "Responsable"
@@ -343,5 +343,5 @@
 msgstr "Nb de membres"
 
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:567
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:577
 msgid "Member of"
 msgstr "Membre de"
@@ -351,28 +351,28 @@
 msgstr "Premier jour possible"
 
-#: lib/LATMOS/Accounts/Bases/Sql/objects.pm:156
+#: lib/LATMOS/Accounts/Bases/Sql/objects.pm:154
 msgid "Modified by"
 msgstr "ModifiÃ© par"
 
 #: lib/LATMOS/Accounts/Bases/Sql/Address.pm:130
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1239
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:947
-#: lib/LATMOS/Accounts/Bases/Sql/objects.pm:119
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1277
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:950
+#: lib/LATMOS/Accounts/Bases/Sql/objects.pm:117
 msgid "Name"
 msgstr "Nom"
 
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1447
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1528
 msgid "Nationality"
 msgstr "NationnalitÃ©"
 
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1450
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1531
 msgid "Native country"
 msgstr "Pays de naissance"
 
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1236
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1274
 msgid "Native first name"
 msgstr "PrÃ©nom"
 
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1233
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1271
 msgid "Native name"
 msgstr "Nom"
@@ -386,5 +386,5 @@
 msgstr "Suivant"
 
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1249
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1287
 msgid "Nickname"
 msgstr "Surnom"
@@ -398,5 +398,5 @@
 msgstr "Pas de classe puppet"
 
-#: lib/LATMOS/Accounts/Bases/Sql/objects.pm:167
+#: lib/LATMOS/Accounts/Bases/Sql/objects.pm:165
 msgid "Object alias for"
 msgstr "Alias d'objet pour"
@@ -404,5 +404,5 @@
 #: lib/LATMOS/Accounts/Bases/Sql/Address.pm:322
 #: lib/LATMOS/Accounts/Bases/Sql/Nethost.pm:262
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:895
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:905
 msgid "Office"
 msgstr "Bureau"
@@ -420,11 +420,11 @@
 msgstr "Parents"
 
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1295
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1333
 msgid "Password set"
 msgstr "Mot de passe mis"
 
 #. ($attribute)
-#: lib/LATMOS/Accounts/Bases/Objects.pm:673
-#: lib/LATMOS/Accounts/Bases/Objects.pm:710
+#: lib/LATMOS/Accounts/Bases/Objects.pm:728
+#: lib/LATMOS/Accounts/Bases/Objects.pm:765
 #: lib/LATMOS/Accounts/Bases/Sql/objects.pm:854
 #: lib/LATMOS/Accounts/Bases/Sql/objects.pm:919
@@ -433,14 +433,14 @@
 
 #: lib/LATMOS/Accounts/Bases/Sql/Address.pm:319
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:882
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:892
 msgid "Phone number"
 msgstr "TÃ©lÃ©phone"
 
 #: lib/LATMOS/Accounts/Bases/Sql/Address.pm:241
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:834
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:844
 msgid "Post office box"
 msgstr "Boite postale"
 
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1095
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1113
 msgid "Postal Address"
 msgstr "Adresse postale"
@@ -451,5 +451,5 @@
 
 #: lib/LATMOS/Accounts/Bases/Sql/Address.pm:196
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:807
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:817
 msgid "Postal code"
 msgstr "Code postal"
@@ -468,9 +468,9 @@
 
 #: lib/LATMOS/Accounts/Bases/Sql/Employment.pm:183
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1444
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1525
 msgid "Request id"
 msgstr "Demande n_"
 
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:736
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:746
 msgid "Responsible"
 msgstr "Responsable"
@@ -492,9 +492,9 @@
 msgstr "NumÃ©ro de sÃ©rie"
 
-#: lib/LATMOS/Accounts/Bases/Sql/objects.pm:150
+#: lib/LATMOS/Accounts/Bases/Sql/objects.pm:148
 msgid "Service"
 msgstr "Service"
 
-#: lib/LATMOS/Accounts/Bases/Sql/objects.pm:242
+#: lib/LATMOS/Accounts/Bases/Sql/objects.pm:240
 msgid "Set me as reference"
 msgstr "Me mettre comme rÃ©fÃ©rence"
@@ -506,5 +506,5 @@
 #: lib/LATMOS/Accounts/Bases/Sql/Address.pm:58
 #: lib/LATMOS/Accounts/Bases/Sql/Nethost.pm:259
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:769
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:779
 msgid "Site"
 msgstr "Site"
@@ -530,5 +530,5 @@
 msgstr "Ãtat"
 
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1199
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1232
 msgid "Statut du compte"
 msgstr "Statut du compte"
@@ -536,5 +536,5 @@
 #: lib/LATMOS/Accounts/Bases/Sql/Address.pm:219
 #: lib/LATMOS/Accounts/Bases/Sql/Address.pm:263
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:821
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:831
 msgid "Street"
 msgstr "Rue"
@@ -545,5 +545,5 @@
 
 #: lib/LATMOS/Accounts/Bases/Sql/Employment.pm:142
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:752
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:762
 msgid "Type of contract"
 msgstr "Type de contrat"
@@ -564,10 +564,14 @@
 msgstr "Utilisateurs exclus"
 
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1228
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1535
+msgid "ValiditÃ© formation SST"
+msgstr ""
+
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:1266
 msgid "Web Page"
 msgstr "Page Web"
 
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:474
-#: lib/LATMOS/Accounts/Bases/Sql/User.pm:499
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:479
+#: lib/LATMOS/Accounts/Bases/Sql/User.pm:509
 msgid "Work duration"
 msgstr "DurÃ©e de prÃ©sence"